Skip to content
Start here

List Geolocations

radar.geolocations.list(GeolocationListParams**kwargs) -> GeolocationListResponse
GET/radar/geolocations

Retrieves a list of geolocations. Geolocation names can be localized by sending an Accept-Language HTTP header with a BCP 47 language tag (e.g., Accept-Language: pt-PT). The full quality-value chain is supported (e.g., pt-PT,pt;q=0.9,en;q=0.8).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
format: Optional[Literal["JSON", "CSV"]]

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
geo_id: Optional[str]

Filters results by geolocation. Specify a comma-separated list of GeoNames IDs.

limit: Optional[int]

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
location: Optional[str]

Filters results by location. Specify a comma-separated list of alpha-2 location codes.

offset: Optional[int]

Skips the specified number of objects before fetching the results.

minimum0
ReturnsExpand Collapse
class GeolocationListResponse:
geolocations: List[Geolocation]
geo_id: str
latitude: str

A numeric string.

longitude: str

A numeric string.

name: str
parent: GeolocationParent
geo_id: str
latitude: str

A numeric string.

longitude: str

A numeric string.

name: str
parent: GeolocationParentParent
geo_id: str
latitude: str

A numeric string.

longitude: str

A numeric string.

name: str
type: Literal["CONTINENT", "COUNTRY", "ADM1"]

The type of the geolocation.

One of the following:
"CONTINENT"
"COUNTRY"
"ADM1"
code: Optional[str]
locale: Optional[str]

BCP 47 locale code used for the geolocation name translation

type: Literal["CONTINENT", "COUNTRY", "ADM1"]

The type of the geolocation.

One of the following:
"CONTINENT"
"COUNTRY"
"ADM1"
code: Optional[str]
locale: Optional[str]

BCP 47 locale code used for the geolocation name translation

type: Literal["CONTINENT", "COUNTRY", "ADM1"]

The type of the geolocation.

One of the following:
"CONTINENT"
"COUNTRY"
"ADM1"
code: Optional[str]
locale: Optional[str]

BCP 47 locale code used for the geolocation name translation

List Geolocations

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
geolocations = client.radar.geolocations.list()
print(geolocations.geolocations)
{
  "result": {
    "geolocations": [
      {
        "geoId": "2267056",
        "latitude": "10",
        "longitude": "10",
        "name": "Lisbon",
        "parent": {
          "geoId": "2267056",
          "latitude": "10",
          "longitude": "10",
          "name": "Lisbon",
          "parent": {
            "geoId": "2267056",
            "latitude": "10",
            "longitude": "10",
            "name": "Lisbon",
            "type": "CONTINENT",
            "code": "PT-11",
            "locale": "pt-PT"
          },
          "type": "CONTINENT",
          "code": "PT-11",
          "locale": "pt-PT"
        },
        "type": "CONTINENT",
        "code": "PT-11",
        "locale": "pt-PT"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "geolocations": [
      {
        "geoId": "2267056",
        "latitude": "10",
        "longitude": "10",
        "name": "Lisbon",
        "parent": {
          "geoId": "2267056",
          "latitude": "10",
          "longitude": "10",
          "name": "Lisbon",
          "parent": {
            "geoId": "2267056",
            "latitude": "10",
            "longitude": "10",
            "name": "Lisbon",
            "type": "CONTINENT",
            "code": "PT-11",
            "locale": "pt-PT"
          },
          "type": "CONTINENT",
          "code": "PT-11",
          "locale": "pt-PT"
        },
        "type": "CONTINENT",
        "code": "PT-11",
        "locale": "pt-PT"
      }
    ]
  },
  "success": true
}